package org.apache.commons.lang3.function;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Objects;

@FunctionalInterface
public interface FailableLongPredicate<E extends Throwable> {
  public static final org.apache.commons.lang3.function.FailableLongPredicate FALSE = t -> false;
  
  public static final org.apache.commons.lang3.function.FailableLongPredicate TRUE = t -> true;
  
  static <E extends Throwable> org.apache.commons.lang3.function.FailableLongPredicate<E> falsePredicate() {
    return FALSE;
  }
  
  static <E extends Throwable> org.apache.commons.lang3.function.FailableLongPredicate<E> truePredicate() {
    return TRUE;
  }
  
  default org.apache.commons.lang3.function.FailableLongPredicate<E> and(org.apache.commons.lang3.function.FailableLongPredicate<E> other) {
    Objects.requireNonNull(other);
    return t -> (test(t) && other.test(t));
  }
  
  default org.apache.commons.lang3.function.FailableLongPredicate<E> negate() {
    return t -> !test(t);
  }
  
  default org.apache.commons.lang3.function.FailableLongPredicate<E> or(org.apache.commons.lang3.function.FailableLongPredicate<E> other) {
    Objects.requireNonNull(other);
    return t -> (test(t) || other.test(t));
  }
  
  boolean test(long paramLong) throws E;
}
